### Function

# Secret password_lookup_binary_sync

#### Declaration [src]

    SecretValue*
    secret_password_lookup_binary_sync (
      const SecretSchema* schema,
      GCancellable* cancellable,
      GError** error,
      ...
    )

#### Description [src]

Lookup a password in the secret service.

This is similar to `secret_password_lookup_sync()`, but returns a `SecretValue` instead of a null-terminated password.

This method may block indefinitely and should not be used in user interface threads.

Available since: | 0.19.0
This function is not directly available to language bindings

#### Parameters

`schema` | `SecretSchema`
| The schema for the attributes.
| The data is owned by the caller of the function.
`cancellable` | `GCancellable`
| Optional cancellation object.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`error` | `GError`
| Location to place an error on failure.
| The data is owned by the caller of the function.
`...` | ``
| The attribute keys and values, terminated with `NULL`.

#### Return value

Returns: | `SecretValue`
| A newly allocated `SecretValue`, which should be released with `secret_value_unref()`, or `NULL` if no secret found.
| The caller of the function takes ownership of the data, and is responsible for freeing it.